Bug 10967 - KDE workstation install hangs after package installation
KDE workstation install hangs after package installation
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-21 12:20 EDT by Jim Troutman
Modified: 2008-05-01 11:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-17 17:48:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Troutman 2000-04-21 12:20:07 EDT
RH 6.2 graphical installation hangs after installing the KDE Workstation
configuration.  Configuration and setup works fine.  I chose to use the
automatic partitioning.  The installer will install all packages, but then
simply stops after the last package (zlib-devel) and does not go on to the
next screen (the back and next buttons are greyed out).  The system is not
hung, except for the X based installer.  Text consoles are still working
fine.  Several instances of anaconda are running, but not doing anything
(CPU time used does not increase).  There are no error messages.

I also noticed that the installer choose to use the the secondary IDE
(/dev/hdc) drive on the system for the install, because it was larger, and
is also installing /boot onto /dev/hda.  This may have something to do
with it.

System configuration:

Pentium 233MMX, 96MB RAM, VIA MVP3 chipset
/dev/hda  Seagate ST34310A 4.1GB IDE
/dev/hdb  12x IDE CD-ROM
/dev/hdc  Maxtor 54098U8 40GB IDE
NetGear tulip NIC at IRQ 12
SoundBlaster 16 ISA at IRQ 5
Comment 1 Jim Troutman 2000-04-21 17:35:59 EDT
same problem occurs with all installation modes (Gnome, KDE, Server, or
Everything) using the X based install.  Additional details -- booting from RH
6.2 ISO CD-ROM image, and the video card is a ATI Xpert 98 (Mach64).  I will
try text mode also.
Comment 2 Jan Welti 2000-04-22 07:22:59 EDT
The text mode installer gives the following error message:
                     Exception Occured
Traceback (innermost last):
    File "/usr/bin/anaconda", line 342,
    In ?
         intf.run(todo, test = test)
    File "/usr/lib/anaconda/text.py",
    line 1165, in run
          rc = apply (step[1](), step[2])
    File "/usr/lib/anaconda/text.py",
    line 702, in __call__
          if todo.doInstall ():
    File "/tmp/updates/todo.py", line
    1272, in doInstall
              self.setDefaultRunlevel ()
    File "/tmp/updates/todo.py", line
    952, in setDefaultRunlevel
              inittab = open (self.instPath +
    '/etc/inittab', 'r')
    IOError: [Errno 2] No such file or
    directory: '/mnt/sysimage/etc/inittab'
/---------\                               /---------\
|   OK   |                               |   Debug  |
\---------/                               \---------/
I have the updated "anaconda".
Comment 3 Jay Turner 2000-04-24 07:21:59 EDT
Forwarding this issue to a developer for further action.
Comment 4 Anonymous 2000-04-26 13:47:59 EDT
I have experienced similar behavior on a P100 with a SIS 6326 video card.  The
X based installer hangs after package installation and displays a small dialog
saying "Performing post-install configuration" or similar words.   Then all
activity stops.
Comment 5 Jan Welti 2000-04-28 10:32:59 EDT
By the way i have a Genuine Intel Pentium II 350 MHz
Comment 6 tazz 2000-05-23 16:12:59 EDT
Has any workaround for this been found yet?  I am experiencing the same
problems.
Comment 7 Jan Welti 2000-06-07 11:27:58 EDT
Please... Speed Up! I can't buy 6.2 Deluxe if Standard doesn't work (and i 
won't)!
Comment 8 Michael Fulbright 2000-06-12 15:06:10 EDT
Sent to test lab for verification.
Comment 9 Brock Organ 2000-06-20 20:36:15 EDT
There are two issues discussed above ...

1) originally reported - GUI hangs at install's end - this error has been seen
at intermittent random times in the test lab, but never reproducibly ... :( ...
Internal testing for internal releases has not exhibited this problem ... that
means that it will hopefully be fixed in the next release ... :)

2) TUI traceback - does this error occur at the analagous location as the GUI
(end of package installation) ...?  does the install then hang ...?  This has
not been reported before in internal tests ...

Comment 10 Brock Organ 2000-07-26 17:18:03 EDT
both issues 1) and 2) above have not been observed in testing for the next
release (and we have been unable to duplicate the above traceback in our test
lab for 6.2)...

Note You need to log in before you can comment on or make changes to this bug.